package mapsid.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 *
 * @author name
 */
public class RequiredPk implements Serializable  {

    private static final long serialVersionUID = 1L;

    private Date dateCeated;
    private String name;

    public RequiredPk() {
    }

    public RequiredPk(Date dateCeated, String name) {
        this.dateCeated = dateCeated;
        this.name = name;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 97 * hash + Objects.hashCode(this.dateCeated);
        hash = 97 * hash + Objects.hashCode(this.name);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final RequiredPk other = (RequiredPk) obj;
        if (!Objects.equals(this.dateCeated, other.dateCeated)) {
            return false;
        }
        if (!Objects.equals(this.name, other.name)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "RequiredPk{" + "dateCeated=" + dateCeated + ", name=" + name + '}';
    }

}
