package mapsid.service;

import java.util.Date;
import org.junit.After;
import org.junit.AfterClass;
import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import mapsid.entity.Optional;
import mapsid.entity.Required;
import static mapsid.service.PersistentIntegrationTest.em;

public class RequiredServiceTest extends PersistentIntegrationTest{

    private static RequiredService instance;


    public RequiredServiceTest() {
        instance = new RequiredService(em);
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test the creation of an Optional entity
     */
    @Test
    public void testCreateOptional() {

        final String name = "name";
        final Date date = new Date();

        Required required = new Required();
        required.setName(name);
        required.setDateCeated(date);
        em.persist(required);
        em.flush();
        Optional optional = instance.createOptional(date, name);
        assertNotNull(optional);
    }


}