package mapsid.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Temporal;

/**
 * We want to have only one of this per day
 * @author name
 */
@Entity
@IdClass(value = RequiredPk.class)
public class Required implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @Temporal(javax.persistence.TemporalType.DATE)
    private Date dateCeated;

    @Id
    private String name;

    public Date getDateCeated() {
        return dateCeated;
    }

    public void setDateCeated(Date dateCeated) {
        this.dateCeated = dateCeated;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
